Skip to content

# Class: Endpoint

## Hierarchy

- KubeObject

↳ Endpoint

## Implements

- ItemObject

## Index

### Constructors

- constructor

### Properties

- apiVersion
- kind
- metadata
- status
- subsets
- apiBase
- kind
- namespaced

### Accessors

- selfLink

### Methods

- delete
- getAge
- getAnnotations
- getEndpointSubsets
- getFinalizers
- getId
- getLabels
- getName
- getNs
- getOwnerRefs
- getResourceVersion
- getSearchFields
- toPlainObject
- toString
- update
- create
- isJsonApiData
- isJsonApiDataList
- isNonSystem
- stringifyLabels

## Constructors

### constructor

+ new Endpoint(`data`: KubeJsonApiData): Endpoint

Inherited from KubeObject.constructor

Defined in src/renderer/api/kube-object.ts:70

Parameters:

Name | Type
--- | ---
`data` | KubeJsonApiData

Returns: Endpoint

## Properties

### apiVersion

• apiVersion: string

Inherited from KubeObject.apiVersion

Defined in src/renderer/api/kube-object.ts:76

### kind

• kind: string

Inherited from KubeObject.kind

Defined in src/renderer/api/kube-object.ts:77

### metadata

• metadata: IKubeObjectMetadata

Inherited from KubeObject.metadata

Defined in src/renderer/api/kube-object.ts:78

### `Optional` status

• status? : any

Inherited from KubeObject.status

Defined in src/renderer/api/kube-object.ts:79

### subsets

• subsets: IEndpointSubset[]

Defined in src/renderer/api/endpoints/endpoint.api.ts:109

### `Static` apiBase

▪ apiBase: string = "/api/v1/endpoints"

Defined in src/renderer/api/endpoints/endpoint.api.ts:107

### `Static` kind

▪ kind: string = "Endpoints"

Overrides KubeObject.kind

Defined in src/renderer/api/endpoints/endpoint.api.ts:105

### `Static` namespaced

▪ namespaced: boolean = true

Overrides KubeObject.namespaced

Defined in src/renderer/api/endpoints/endpoint.api.ts:106

## Accessors

### selfLink

• get selfLink(): string

Inherited from KubeObject.selfLink

Defined in src/renderer/api/kube-object.ts:81

Returns: string

## Methods

### delete

▸ delete(`params?`: JsonApiParams): CancelablePromise‹KubeJsonApiData›

Inherited from KubeObject.delete

Defined in src/renderer/api/kube-object.ts:167

Parameters:

Name | Type
--- | ---
`params?` | JsonApiParams

Returns: CancelablePromise‹KubeJsonApiData›

### getAge

▸ getAge(`humanize`: boolean, `compact`: boolean, `fromNow`: boolean): string | number

Inherited from KubeObject.getAge

Defined in src/renderer/api/kube-object.ts:103

Parameters:

Name | Type | Default
--- | --- | ---
`humanize` | boolean | true
`compact` | boolean | true
`fromNow` | boolean | false

Returns: string | number

### getAnnotations

▸ getAnnotations(`filter`: boolean): string[]

Inherited from KubeObject.getAnnotations

Defined in src/renderer/api/kube-object.ts:124

Parameters:

Name | Type | Default
--- | --- | ---
`filter` | boolean | false

Returns: string[]

### getEndpointSubsets

▸ getEndpointSubsets(): EndpointSubset[]

Defined in src/renderer/api/endpoints/endpoint.api.ts:111

Returns: EndpointSubset[]

### getFinalizers

▸ getFinalizers(): string[]

Inherited from KubeObject.getFinalizers

Defined in src/renderer/api/kube-object.ts:116

Returns: string[]

### getId

▸ getId(): string

Inherited from KubeObject.getId

Defined in src/renderer/api/kube-object.ts:85

Returns: string

### getLabels

▸ getLabels(): string[]

Inherited from KubeObject.getLabels

Defined in src/renderer/api/kube-object.ts:120

Returns: string[]

### getName

▸ getName(): string

Inherited from KubeObject.getName

Defined in src/renderer/api/kube-object.ts:93

Returns: string

### getNs

▸ getNs(): string

Inherited from KubeObject.getNs

Defined in src/renderer/api/kube-object.ts:97

Returns: string

### getOwnerRefs

▸ getOwnerRefs(): object[]

Inherited from KubeObject.getOwnerRefs

Defined in src/renderer/api/kube-object.ts:134

Returns: object[]

### getResourceVersion

▸ getResourceVersion(): string

Inherited from KubeObject.getResourceVersion

Defined in src/renderer/api/kube-object.ts:89

Returns: string

### getSearchFields

▸ getSearchFields(): string[]

Inherited from KubeObject.getSearchFields

Defined in src/renderer/api/kube-object.ts:143

Returns: string[]

### toPlainObject

▸ toPlainObject(): object

Inherited from KubeObject.toPlainObject

Defined in src/renderer/api/kube-object.ts:155

Returns: object

### toString

▸ toString(): string

Defined in src/renderer/api/endpoints/endpoint.api.ts:117

Returns: string

### update

▸ update‹T›(`data`: Partial‹T›): Promise‹T›

Inherited from KubeObject.update

Defined in src/renderer/api/kube-object.ts:160

Type parameters:

▪ T: KubeObject

Parameters:

Name | Type
--- | ---
`data` | Partial‹T›

Returns: Promise‹T›

### `Static` create

▸ create(`data`: any): KubeObject‹›

Inherited from KubeObject.create

Defined in src/renderer/api/kube-object.ts:50

Parameters:

Name | Type
--- | ---
`data` | any

Returns: KubeObject‹›

### `Static` isJsonApiData

▸ isJsonApiData(`object`: any): object is KubeJsonApiData

Inherited from KubeObject.isJsonApiData

Defined in src/renderer/api/kube-object.ts:58

Parameters:

Name | Type
--- | ---
`object` | any

Returns: object is KubeJsonApiData

### `Static` isJsonApiDataList

▸ isJsonApiDataList(`object`: any): object is KubeJsonApiDataList

Inherited from KubeObject.isJsonApiDataList

Defined in src/renderer/api/kube-object.ts:62

Parameters:

Name | Type
--- | ---
`object` | any

Returns: object is KubeJsonApiDataList

### `Static` isNonSystem

▸ isNonSystem(`item`: KubeJsonApiData | KubeObject): boolean

Inherited from KubeObject.isNonSystem

Defined in src/renderer/api/kube-object.ts:54

Parameters:

Name | Type
--- | ---
`item` | KubeJsonApiData | KubeObject

Returns: boolean

### `Static` stringifyLabels

▸ stringifyLabels(`labels`: object): string[]

Inherited from KubeObject.stringifyLabels

Defined in src/renderer/api/kube-object.ts:66

Parameters:

Name | Type
--- | ---
`labels` | object

Returns: string[]